SourceID Docs
Nigeria

Corporate Affairs Commission (CAC) Verification

This endpoint is used to verify the Corporate Affairs Commission (CAC) information of a company. It requires the company registration number and type, with a company name.

Endpoint: POST {baseurl}/v1/api/verification/cac

Request Body

Field NameTypeRequiredDescription
countrystringYesThe country code for the verification. Example: NGA.
referencestringYesA unique reference for the verification request. Example: 0122333444455555.
verificationLevelstringYesThe level of verification to perform. Example: basic.
rcNumberstringYesThe company registration number to verify. Example: 12345678.
companyTypestringYesThe type of company to verify. Example: RC. Default: RC.
companyNamestringYesThe name of the company to verify. Example: Example Company Ltd.
customerstringNoID of the customer (optional).
verificationGroupstringNoID of the verification group (optional).

Notes

  • All string fields are trimmed of leading and trailing whitespace before processing.

Example Request Body

{
    "country": "NGA",
    "reference": "0122333444455555",
    "verificationLevel": "basic",
    "rcNumber": "12345678",
    "companyType": "RC",
    "companyName": "Example Company Ltd"
}

Sample Request

curl -X 'POST' \
  'https://api.sourceid.tech/v1/api/verification/cac' \
  -H 'accept: application/json' \
  -H 'x-api-key: {API-KEY}' \
  -H 'Content-Type: application/json' \
  -d '{
  "country": "NGA",
  "reference": "",
  "verificationLevel": "basic",
  "rcNumber": "",
  "companyType": "RC",
  "companyName": "",
  "customer": "6791457be570f7f292f1fe23",
  "verificationGroup": "6791457be570f7f292f1fe23"
}'

Sample Response

{
    "status": true,
    "responseCode": "00",
    "statusCode": "200",
    "message": "CAC verification successful",
    "data": {
      "rcNumber": "",
      "documentNumber": "",
      "documentName": "",
      "documentExpiryDate": null,
      "documentIssuingCountry": "",
      "companyName": "",
      "companyStatus": "",
      "emailAddress": null,
      "state": null,
      "city": null,
      "lga": null
    },
    "meta": {
      "statusCode": "200",
      "isValid": true,
      "timeStamp": "Wed Apr 23 2025 07:28:31 GMT+0000 (Coordinated Universal Time)"
    }
}